import { useMutation } from '@tanstack/react-query'
import { changeMyPassword } from '../api/changeMyPassword'
import type { ChangeMyPasswordRequest } from '../api/changeMyPassword'

export function useChangeMyPassword() {
  return useMutation({
    mutationFn: (payload: ChangeMyPasswordRequest) => changeMyPassword(payload),
  })
}
